import { PopupMeasuringContentSizeEventArgs as PopupMeasuringContentSizeEventArgs_internal } from "./PopupMeasuringContentSizeEventArgs";
var IgxPopupMeasuringContentSizeEventArgs = /** @class */ /*@__PURE__*/ (function () {
    function IgxPopupMeasuringContentSizeEventArgs() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    IgxPopupMeasuringContentSizeEventArgs.prototype.createImplementation = function () {
        return new PopupMeasuringContentSizeEventArgs_internal();
    };
    Object.defineProperty(IgxPopupMeasuringContentSizeEventArgs.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgxPopupMeasuringContentSizeEventArgs.prototype.onImplementationCreated = function () {
    };
    IgxPopupMeasuringContentSizeEventArgs.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    };
    return IgxPopupMeasuringContentSizeEventArgs;
}());
export { IgxPopupMeasuringContentSizeEventArgs };
